Update a Use Case

Update the name or status of an existing use case.

Required scope: vision-events:manage

Update a Use Case

put

Update the name or status of an existing use case.

Authorizations
AuthorizationstringRequired

Roboflow API key passed as a Bearer token.

Path parameters
useCaseIdstringRequired

The ID of the use case to update.

Body
namestring · min: 1 · max: 256Optional

A new name for the use case. Must be unique within the workspace.

statusstring · enumOptional

The new status for the use case.

Possible values:
Responses
200

Use case updated successfully.

application/json
idstringOptional
namestringOptional
put
/vision-events/use-cases/{useCaseId}

Path Parameters

  • useCaseId (string, required): The ID of the use case to update.

Request Body Parameters

At least one of the following fields must be provided:

  • name (string, optional): A new name for the use case. Must be between 1 and 256 characters. Must be unique within the workspace.

  • status (string, optional): The new status. One of active or inactive.

Example Request

Example Response

Last updated

Was this helpful?